読者です 読者をやめる 読者になる 読者になる

Pastalablog in はてな

時代はブログ! 日記もあるよ→http://pastak-diary.hatenadiary.com

Google Maps API v2が2013年11月19日に廃止になる話

追記

日本語でもちゃんと書かれてた。
Google Maps JavaScript V2(非推奨) - Google Maps JavaScript API v2(サポート終了) — Google Developers

Google Maps JavaScript API バージョン 2(V2)は、2010 年 5 月 19 日に正式にサポートが終了しました。V2 の廃止スケジュールは 2013 年 5 月 19 日の予定でしたが、2013 年 11 月 19 日(太平洋時間、日本時間では 2013 年 11 月 18 日)まで延期することになりました。この日以降は V2 を使っている地図は、下位互換機能を持たせた V3 の地図に自動的に切り替わる予定です。この下位互換機能により、大部分のシンプルな地図は機能すると考えますが、この日以前に V3 へ移行を完了することを強く推奨いたします。

API Keyを取得しているからかGoogleからメールが来ていた。
公式ブログがに詳細が書かれてる。
Google Geo Developers Blog: An update on the JavaScript Maps API v2 deprecation

Therefore, we’re extending the deprecation timeline for JavaScript Maps API v2 by six months, to November 19, 2013. On that date, we will attempt to automagically turn remaining v2 maps into v3 maps, by way of a JavaScript wrapper we will deploy. We expect this wrapper to work for most simple maps, but to avoid any last minute surprises we strongly encourage sites to complete their migration to v3 ahead of this date. We have prepared an upgrade guide to help make the migration process as painless as possible.

まぁつまり、11月19日にv2が廃止になった後に、今までのv2のAPIが無効になるのではなくて、v3で動くようにラッパー用のJSが配信されるようになるから、シンプルなMapsアプリケーションなら動くかもしれないけど、複雑だとカバーし切れないから公式ドキュメントのv2からv3への変更方法を参考に頑張ってくれとのこと。
Upgrading Your Google Maps JavaScript Application To v3 - Google Maps API — Google Developers

中3の時に作って公開して、未だに毎月結構なアクセスを稼いでるガソリンスタンド情報マップがv2で動いてるので、これをキッカケにJS自体も当時は全然書けなくて、PHPでJS生成したりしてて泥臭い感じなので良い感じに書き換えたりしたいかもしれない。